### Enumeration

# Fwupd ReportFlags

#### Declaration

    flags Fwupd.ReportFlags

#### Description [src]

Flags used to represent report attributes.

#### Members

`FWUPD_REPORT_FLAG_NONE`

  No report flags are set.

  - Value: `0`
  - Available since: 2.0
`FWUPD_REPORT_FLAG_FROM_OEM`

  Report was generated by the OEM.

  - Value: `1`
  - Available since: 2.0
`FWUPD_REPORT_FLAG_IS_UPGRADE`

  New firmware was newer than the old firmware.

  - Value: `2`
  - Available since: 2.0
`FWUPD_REPORT_FLAG_UNKNOWN`

  The report flag is unknown. This is usually caused by a mismatched libfwupdplugin and daemon.

  - Value: `-1`
  - Available since: 2.0